summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGeorgy Yakovlev <gyakovlev@gentoo.org>2019-03-10 00:50:55 -0800
committerGeorgy Yakovlev <gyakovlev@gentoo.org>2019-03-10 00:50:55 -0800
commit5c427e1114cff3154294c0e42f914f3850cd8e04 (patch)
tree8c20cf28d72bcd2b9427b14c630c3ab0e84a0165
parentdev-lang/rust: fix boostrap on ppc64 (diff)
downloadgentoo-5c427e1114cff3154294c0e42f914f3850cd8e04.tar.gz
gentoo-5c427e1114cff3154294c0e42f914f3850cd8e04.tar.bz2
gentoo-5c427e1114cff3154294c0e42f914f3850cd8e04.zip
dev-lang/rust: add missing die to sed call
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
-rw-r--r--dev-lang/rust/rust-1.32.0.ebuild2
-rw-r--r--dev-lang/rust/rust-1.33.0.ebuild2
2 files changed, 2 insertions, 2 deletions
diff --git a/dev-lang/rust/rust-1.32.0.ebuild b/dev-lang/rust/rust-1.32.0.ebuild
index 74202f48fd8..5a93fbcd13c 100644
--- a/dev-lang/rust/rust-1.32.0.ebuild
+++ b/dev-lang/rust/rust-1.32.0.ebuild
@@ -109,7 +109,7 @@ src_prepare() {
# ugly hack for https://bugs.gentoo.org/679806
if use ppc64; then
- sed -i 's/getentropy/gEtEnTrOpY/g' "${rust_stage0_root}"/bin/cargo
+ sed -i 's/getentropy/gEtEnTrOpY/g' "${rust_stage0_root}"/bin/cargo || die
export OPENSSL_ppccap=0
fi
diff --git a/dev-lang/rust/rust-1.33.0.ebuild b/dev-lang/rust/rust-1.33.0.ebuild
index 1d6d1dbccc8..a88798e7801 100644
--- a/dev-lang/rust/rust-1.33.0.ebuild
+++ b/dev-lang/rust/rust-1.33.0.ebuild
@@ -105,7 +105,7 @@ src_prepare() {
# ugly hack for https://bugs.gentoo.org/679806
if use ppc64; then
- sed -i 's/getentropy/gEtEnTrOpY/g' "${rust_stage0_root}"/bin/cargo
+ sed -i 's/getentropy/gEtEnTrOpY/g' "${rust_stage0_root}"/bin/cargo || die
export OPENSSL_ppccap=0
fi